define([
    'ionic-angular',
    'ionic-datepicker',
    'intlpnIonic',
    'angular',
    'angular-agility',
    'angular-animate',
    'angular-credit-cards',
    'angular-dynamic-locale',
    'angular-moment',
    'angular-sanitize',
    'angular-ui-mask',
    'angular-ui-router',
    'angulartics',
    'moment-timezone',
    'ng-map',
    'satellizer',
    'ionic-ratings',

    'directives/horizontalRadio',
    'directives/disableTap',
], function (
    ionicAngular,
    ionicDatepicker,
    intlpnIonic,
    angular,
    angularAgility,
    angularAnimate,
    angularCreditCards,
    angularDynamicLocale,
    angularMoment,
    angularSanitize,
    angularUiMask,
    angularUiRouter,
    angulartics,
    momentTz,
    ngMap,
    satellizer,
    ionicRatings,

    horizontalRadio,
    disableTap
) {
        var app = angular.module('muulla', [
            'aa.formExtensions',
            'angularMoment',
            'angulartics',
            'credit-cards',
            'ionic',
            'ionic-datepicker',
            'intlpnIonic',
            'ngAnimate',
            'ngLocale',
            'ngMap',
            'satellizer',
            'ui.mask',
            'tmh.dynamicLocale',
            'ionic-ratings'
        ]);

        app.constant('moment', momentTz);

        app.directive('horizontalRadio', horizontalRadio); // Directive for Ionic's checkbox customization
        app.directive('disableTap', disableTap); // Directive for Google Places autocomplete in Ionic
        return app;
    });
