define([], function () {
    var facebook = function ($windowProvider, $authProvider, config_constants) {
        var $window = $windowProvider.$get();
        $authProvider.facebook({
            clientId: config_constants.facebookAppId,
            url: config_constants.baseAPIUrl + '/external/clique/user/auth/facebook',
            redirectUri: $window.cordova ? 'https://localhost/' : $window.location.origin + '/',
            popupOptions: {
                location: 'no',
                toolbar: 'yes',
                width: $window.screen.width,
                height: $window.screen.height
            },
            optionalUrlParams: ['auth_type'],
            authType: 'rerequest' // Used for allowing the user to give us permission for the email address in case they rejected it before
        });
    };

    facebook.$inject = ['$windowProvider', '$authProvider', 'config_constants'];
    return facebook;
});
