define([], function () {
    var giftcardCustomerController = function ($scope, frameworkService, giftcardUtilService) {
        var giftcards = giftcardUtilService.getGiftcards();
        if (_.isEmpty(giftcards.merchant)) {
            return frameworkService.navigateTo('giftcardWelcome');
        }

        $scope.customer = angular.copy(giftcards.customer) || {};

        $scope.next = function () {
            if (!$scope.customer.tc_checked) {
                frameworkService.showAlert('You need to accept the terms and conditions.');
                return;
            }
            giftcards.customer = $scope.customer;
            giftcardUtilService.setGiftcards(giftcards);
            frameworkService.navigateTo('giftcardRecipients');
        };
    };

    giftcardCustomerController.$inject = ['$scope', 'frameworkService', 'giftcardUtilService'];
    return giftcardCustomerController;
});
