define([], function () {
    var merchantListController = function ($scope, merchantsFetcher, frameworkService) {
        $scope.moreDataCanBeLoaded = true;
        $scope.merchants = [];
        $scope.loadMoreData = function () {
            frameworkService.loadMoreData($scope, merchantsFetcher)
                .then(function (response) {
                    if (response != null) {
                        $scope.merchants = $scope.merchants.concat(response.data);
                    }
                });
        };
    };

    merchantListController.$inject = ['$scope', 'merchantsFetcher', 'frameworkService'];
    return merchantListController;
});
