define([], function () {
    var faqsController = function ($scope, faqsResponse) {
        $scope.faqs = faqsResponse ? faqsResponse.data : [];

        $scope.toggleGroup = function (key) {
            $scope.shownGroup = $scope.isGroupShown(key) ? null : key;
        };
        $scope.isGroupShown = function (key) {
            return $scope.shownGroup === key;
        };
    };

    faqsController.$inject = ['$scope', 'faqsResponse'];
    return faqsController;
});
