define([], function () {
    var enhancedSwitchWhen = function () {
        // Exact same definition as ngSwitchWhen except for the link fn
        return {
            // Same as ngSwitchWhen
            priority: 1200,
            transclude: 'element',
            require: '^ngSwitch',
            link: function ($scope, $element, attrs, ngModelController, $transclude) {
                var cases = _.castArray($scope.$eval(attrs.enhancedSwitchWhen));

                _.forEach(cases, function (c) {
                    c = '!' + c;
                    ngModelController.cases[c] = ngModelController.cases[c] || [];
                    ngModelController.cases[c].push({ transclude: $transclude, element: $element });
                });
            }
        };
    };

    enhancedSwitchWhen.$inject = [];
    return enhancedSwitchWhen;
});