define([], function () {
    var horizontalRadio = function () {
        return {
            restrict: 'A',
            scope: {
                ngModel: '=',
                ngValue: '='
            },
            link: function ($scope, $element) {
                $element.addClass('button button-light button-block');
                $element.on('click', function () {
                    $scope.$apply(function () {
                        $scope.ngModel = $scope.ngValue;
                    });
                });

                $scope.$watch('ngModel', function (newValue) {
                    $element.removeClass('button-positive');
                    if (newValue === $scope.ngValue) {
                        $element.addClass('button-positive');
                    }
                });
            }
        };
    };

    horizontalRadio.$inject = [];
    return horizontalRadio;
});
