define([], function () {
    var menuItems = function (config_constants) {
        return {
            restrict: 'E',
            replace: true,
            scope: {
                items: '<', // one-way binding: https://github.com/angular/angular.js/commit/4ac23c0ac59c269d65b7f78efec75d060121bd18
                onSelect: '&'
            },
            templateUrl: config_constants.ordering.menuView == 'grid' ? 'directives/templates/menuItemsGridMode.html' : 'directives/templates/menuItemsListMode.html'
        };
    };

    menuItems.$inject = ['config_constants'];
    return menuItems;
});
