define([], function() {
    var bindName = function() {
        return function(input, constantsName) {
            var constants = angular.element(document.body).injector().get(constantsName);
            var ans;
            if (_.isArray(input)) {
                ans = [];
                _.forEach(input, function(item) {
                    var found = _.find(constants, {
                        _id: item
                    });
                    ans.push(_.get(found, 'name', item));
                });
                ans = ans.toString().replace(/,/g, ', '); // Beautify array
            } else {
                var found = _.find(constants, {
                    _id: input
                });
                ans = _.get(found, 'name', input);
            }
            return ans;
        };
    };

    bindName.$inject = [];
    return bindName;
});