define([], function() {
    var i18n = function(texts) {
        return function(input) {
            if (texts.hasOwnProperty(input)) {
                return texts[input];
            }
            return input;
        };
    };

    i18n.$inject = ['texts'];
    return i18n;
});