define([], function() {
    var itemPrice = function() {
        return function(item) {
            if (!item || !item.selected) return 0;

            return (item.selected.variant.price + _.sumBy(_.flatMap(item.selected.addon_groups, 'addons'), 'variant.price')) * item.selected.quantity;
        };
    };

    itemPrice.$inject = [];
    return itemPrice;
});
