define([], function() {
    var addressResolver = function(utilityService, addressService) {
        this.getAddress = function(_id) {
            return utilityService.processResponse(_.partial(addressService.getAddress, _id));
        };

        this.listAddresses = function() {
            return utilityService.processResponse(addressService.listAddresses);
        };
    };

    addressResolver.$inject = ['utilityService', 'addressService'];
    return addressResolver;
});
