define([], function () {
    var paymentResolver = function (utilityService, paymentService) {
        this.getPaymentById = function (_id) {
            return utilityService.processResponse(_.partial(paymentService.getPaymentById, _id));
        };

        this.listPaymentMethods = function () {
            return utilityService.processResponse(paymentService.listPaymentMethods);
        };
    };

    paymentResolver.$inject = ['utilityService', 'paymentService'];
    return paymentResolver;
});
