define([], function () {
    return {
        debug: false,
        baseAPIUrl: 'https://api.familycard.co.za/app',
        stripeKey: 'pk_live_werAx45uZXUI2mFoaiQLZKrO',
        gtmDesktopId: 'GTM-WLZHWJ8',
        gtmMobileId: 'GTM-N2DVN26',
        keen: {
            projectId: '5af8df08c9e77c0001639650',
            writeKey: '5671F0B802E36C7EA7FCB0F29C7B9C68FB8E55B687B1C28EEFE4CF1ABA5EC7B42283328353D5F59D71C60E6D338BEBB298BC25BD47D24D978AAEC1C4CF2591EEAF2CCCCF32A3EC1D09C5D6FB06AD5899BFE26DD2169D4FF084A81D35D317396B'
        },
        disclaimerUrl: 'https://app.familycard.co.za/#!/disclaimer',
        privacyUrl: 'https://app.familycard.co.za/#!/privacy',
        shareUrl: 'https://api.familycard.co.za/qr/%2Fadvert%2Flist',
        tcUrl: 'https://app.familycard.co.za/#!/terms',
        findLocationUrl: 'https://www.spur.co.za/find-a-spur/',
        about: {
            url: 'https://familycard.co.za',
            email: 'customer-care@spur.co.za',
            phone: '086 000 7787'
        },
        facebookAppId: '1943314532625877',
        googleMapsUrl: 'https://maps.google.com/maps/api/js?libraries=places&key=AIzaSyD8mFOA70Xam01Ztt4V4yRv-RO7vSfGCjY',
        onesignal: {
            appId: '67c164d1-f5c6-4f47-bdcb-bc2ca2521de3',
            googleProjectNumber: '1069768889942' // https://console.developers.google.com/project?authuser=0
        },
        geolocation: {
            advertDefaultRadius: 25
        },
        marketId: {
            android: 'com.gloo.familycard',
            ios: '942895216'
        },
        dateRegex: /^(?:(?:31(\/|-|\.)(?:0?[13578]|1[02]))\1|(?:(?:29|30)(\/|-|\.)(?:0?[1,3-9]|1[0-2])\2))(?:(?:1[6-9]|[2-9]\d)?\d{2})$|^(?:29(\/|-|\.)0?2\3(?:(?:(?:1[6-9]|[2-9]\d)?(?:0[48]|[2468][048]|[13579][26])|(?:(?:16|[2468][048]|[3579][26])00))))$|^(?:0?[1-9]|1\d|2[0-8])(\/|-|\.)(?:(?:0?[1-9])|(?:1[0-2]))\4(?:(?:1[6-9]|[2-9]\d)?\d{2})$/,
        country: 'ZA',
        ordering: {
            hide: true, // TODO: temp solution as since Spur API integration readonly of menus not working
            readonly: true,
            pickup: false,
            delivery: false,
            flow: 'locations_first',
            menuView: 'list'
        },
        walkthrough: false,
        loyalty: {
            name: 'clique',
            balance: 'points',
            card: true,
            kids: true,
            kidsMaxAge: 13,   // TODO: remove once teens for all brands
            giftcard: true,
            benefits: {
                additionalBenefits: false,
                additionalKidsBenefits: true
            }
        },
        location: {
            delivery_providers: true
        },
        other: {
            pizza_bust: false
        },
        social: {
            facebook: 'https://www.facebook.com/SpurSteakRanches',
            twitter: 'http://www.twitter.com/SpurRestaurant',
            instagram: 'http://www.instagram.com/spursteakranches',
            youtube: 'https://www.youtube.com/user/SpurChannel'
        },
        homeState: {
            mobile: {
                user: 'loyaltyDetail',
                guest: 'advertList'
            },
            desktop: {
                user: 'loyaltyDetail',
                guest: 'landing'
            }
        },
        username: 'mobile',
        isSingleMerchant: true,
        version: '4.1.0',
        commitSHA: '690894fb6',
        commitTime: '"2020-06-02 18:02:03 +1000"',
    };
});
