define([], function () {
    return {
        'App': 'Spur',
        'App title': 'Spur',
        'Advert': 'News & Promotions',
        'Adverts': 'News & Promotions',
        'Advert alerts': 'News & Promotions alerts',
        'View adverts': 'View news & promotions',
        'Locations': 'Find a restaurant',
        'Landing intro': null,
        'Landing description': null,
        'Welcome to the app!': 'Welcome to Spur!',
        'Share app message': 'Download the Spur app for great member benefits and exclusive promotions',
        'Share app subject': 'Download Spur app',
        'Share advert message': 'Check out this great promotion:\n\n{0}\n{1}\n\nGet this offer and many others by downloading the free Spur app',
        'Share advert subject': 'Get this promotion with Spur: {0}',
        'Sorry, you have already issued the max number of coupons for this advert.<br>Please check \'My Coupons\' in your account to view your available coupons.': 'Sorry, you have already issued the max number of coupons for this promotion.<br>Please check \'My Coupons\' in your account to view your available coupons.',
        'Sorry, there are no coupons available for this advert.<br>Please try again later.': 'Sorry, there are no coupon available for this promotion.<br>Please try again later.',
        'Sorry, this coupon is not available for redemption at this time. Please check the redeem dates.': 'Sorry, this voucher is not available for redemption at this time. Please check the redeem dates.',
        'Order online': 'Click & Collect',
        'New order': 'Menu',
        'My rewards': 'My rewards vouchers',
        'My account': 'Spur\'s World',
        'Page 1': 'Profile Details',
        'Page 2': 'Preferences',
        'Mobile': 'Mobile number',
        'POINTS_SUMMARY': 'To earn points and redeem your vouchers, write down your membership number and hand it over to your waitron.',
        'POINTS_DESCRIPTION': 'A R50 Spur Voucher will be loaded onto your profile once you have earned 5000 points, a spend of R1000 excluding VAT and waitron tip.',
        'POINTS_NOTE': 'Please note: It may take up to 72 hours to update your voucher and points status from your last transaction.',
        'Add another child': 'Add another',
        'Gift card': 'eGift Voucher',
        'Gift cards': 'eGift Vouchers',
        'Gift card number': 'eGift Voucher number',
        'My gift cards': 'My eGift Vouchers',
        'Use my gift card': 'Use my eGift Voucher',
        'Gift card payment': 'eGift payment',
        'Giftcard amount removed from cart': 'eGift Voucher amount removed from cart.',
        'The gift card number is sent to the recipient\'s cell to redeem in-store': 'The eGift Voucher code is sent to the recipient\'s cell to redeem in-store',
        'GIFTCARD_DESCRIPTION': 'Buy a Spur eGift Voucher online and we\'ll send a code to your special someone via SMS, for them to redeem in-store. Now that\'s quick and easy!',
        'GIFTCARD_B2C_DESCRIPTION': 'Companies looking to buy multiple eGift Vouchers can send us an email at <a href="mailto:gifting@spur.co.za">gifting@spur.co.za</a>. For any other queries please contact our customer care on <a href="mailto:customer-care@spur.co.za">customer-care@spur.co.za</a> or <a href="tel:+2786 000 7787">086 000 7787</a>.',
        'Set a reminder description': 'Set a reminder to buy an eGift Voucher for your friends and family!',
        'LOGIN_TITLE': 'Join our Family',
        'LOGIN_DESCRIPTION': 'and get rewarded after every mouth-watering Spur meal.',
        'All rights reserved': 'International Spur Corporation | Spur Group (Pty) Ltd 2003 - All Rights Reserved',
        'It\'s an easy and convenient way to treat friends and family': 'It\'s an easy and convenient way to treat friends and family to the great taste of Spur',
        'Hello': 'Hey',
        'Find a location': 'Find a Spur',
        'Instructions': 'How it works',
        'Onit Media Pty Ltd.': 'Spur Steak Ranches',
        'Gifting': 'Buy eGift Vouchers',
        'GIFTCARD_NOTE': 'Please note: eGift Vouchers are valid for three years from date of issue',
        'GIFTCARD_TITLE': 'Buy eGift Vouchers',
        'GIFTCARD_ONE_DESCRIPTION': 'It\'s an easy and convenient way to treat friends and family.',
        'GIFTCARD_TWO_DESCRIPTION': 'You can buy online anytime, anywhere.',
        'GIFTCARD_THREE_DESCRIPTION': 'It\'s safe, secure online payment.',
        'GIFTCARD_FOUR_DESCRIPTION': 'The eGift Voucher code is sent to the recipient\'s cell to redeem in-store.',
        'GIFTCARD_FIVE_DESCRIPTION': 'Your personalised message is sent to the recipient.',
        'HELP_CONTACT': 'Need some help? Call <a href="tel:+2786 000 7787">086 000 7787</a> or email us at <a href="mailto:customer-care@spur.co.za">customer-care@spur.co.za</a>',
        'TRANSACTIONS_DISCLAIMER': 'For any queries please contact Spur Customer Care on <a href="tel:+2786 000 7787">086 000 7787</a> or email us at <a href="mailto:customer-care@spur.co.za">customer-care@spur.co.za</a>. <br /> Points may take up to 72 hours to reflect.',
        'Your loyalty card is disabled.': 'Your loyalty card is disabled. If you believe this is a mistake, please call 086 000 7787 or email us at customer-care@spur.co.za',
        'VALID_BIRTHDAY_MSG': 'You are a sizzling',
        'BENEFIT_DESCRIPTION': 'There are plenty of reasons to get a Family Card! Ask your waitron for your free Spur Family Card in-store or apply for your digital profile now.',
        'BENEFITS_SUBTITLE': 'What’s in it for you?',
        'BENEFIT_ONE_TITLE': null,
        'BENEFIT_ONE_DESCRIPTION': 'Receive a R50 (Fifty Rand) Spur voucher loaded onto your profile once you have spent R1000 (One Thousand Rand) excluding VAT and waitron tips.',
        'BENEFIT_TWO_TITLE': null,
        'BENEFIT_TWO_DESCRIPTION': 'Exclusive promotions and vouchers for Spur Family Club members.',
        'BENEFIT_THREE_TITLE': null,
        'BENEFIT_THREE_DESCRIPTION': 'You receive automatic entry into Spur competitions when applicable.',

        'Add kid member': 'Add child',
        'Add Kids': 'Secret tribe',
        'Kids: Age 0 - 12 years': 'Secret Tribe: Age 0 - 12 years',
        'Teens: Age 13 - 17 years': 'Teens Club: Age 13 - 17 years',
        'KIDS_BENEFITS_TITLE_LOGIN': 'Add your child to your profile today for great rewards!',
        'KIDS_BENEFITS_TITLE_LOGOUT': 'Sign in to your Family Club profile or register a new profile to add your child for great rewards!',
        'KIDS_BENEFITS_SUBTITLE': 'Join the Secret Tribe and enjoy so much more!',
        'KIDS_BENEFIT_ONE_TITLE': 'Spur Birthday Meal Voucher!',
        'KIDS_BENEFIT_ONE_DESCRIPTION': 'Choose any kids\' meal on the kids\' menu, plus a kids\' soda or fruit juice and kids\' chico the clown ice cream, each year for your birthday.',
        'KIDS_BENEFIT_TWO_TITLE': 'FREE SODA OR FRUIT JUICE!',
        'KIDS_BENEFIT_TWO_DESCRIPTION': 'A FREE kids\' soda or fruit juice when ordering any kids\' meal for Secret Tribe members linked to their parents Spur Family Profile.',
        'KIDS_BENEFIT_THREE_TITLE': 'Competition Entry!',
        'KIDS_BENEFIT_THREE_DESCRIPTION': 'Enjoy automatic entry into competitions when applicable.',
        'KIDS_BENEFIT_FOUR_TITLE': 'FREE SODA OR FRUIT JUICE!',
        'KIDS_BENEFIT_FOUR_DESCRIPTION': 'A FREE kids\' soda or fruit juice when ordering any kids\' meal for Secret Tribe members linked to their parents Spur Family Profile.',

        'TEENS_BENEFIT_ONE_TITLE': 'Spur Birthday Meal Voucher!',
        'TEENS_BENEFIT_ONE_DESCRIPTION': 'A R50 birthday voucher will be loaded onto your Spur Family Card 2 days before your teens birthday! The R50 birthday voucher would be available for 3 months. Teens receive automatic entry into competitions when applicable.',
        'TEENS_BENEFIT_TWO_TITLE': 'FREE SODA!',
        'TEENS_BENEFIT_TWO_DESCRIPTION': 'A FREE kids\' soda when ordering any kids\' meal for Secret Tribe members linked to their parents Spur Family Profile.',
        'TEENS_BENEFIT_THREE_TITLE': 'Competition Entry!',
        'TEENS_BENEFIT_THREE_DESCRIPTION': 'Enjoy automatic entry into competitions when applicable.',
        'TEENS_BENEFITS_SUBTITLE': 'Are you 13 - 17 years old? <br> Join our Teens Club and enjoy these benefits!',
    };
});
