define([], function() {
    var addressRoutes = function($stateProvider) {
        $stateProvider.state('addressAdd', {
            url: '/user/address/add',
            templateUrl: 'views/user/addressEdit.html',
            controller: 'addressEditController',
            cache: false,
            resolve: {
                addressResponse: [
                    function() {
                        return null;
                    }
                ]
            }
        }).state('addressEdit', {
            url: '/user/address/edit/:_id',
            templateUrl: 'views/user/addressEdit.html',
            controller: 'addressEditController',
            cache: false,
            resolve: {
                addressResponse: ['$stateParams', 'addressResolver',
                    function($stateParams, addressResolver) {
                        return addressResolver.getAddress($stateParams._id);
                    }
                ]
            }
        });
    };

    addressRoutes.$inject = ['$stateProvider'];
    return addressRoutes;
});
