define([], function () {
    var homeRoutes = function ($stateProvider) {
        $stateProvider.state('home', {
            url: '/home',
            cache: false,
            templateUrl: 'views/other/home.html',
            controller: 'loyaltyDetailController',
            resolve: {
                loyaltyResponse: ['userService', 'loyaltyResolver',
                    function (userService, loyaltyResolver) {
                        if (userService.isAuthenticated()) {
                            return loyaltyResolver.getLoyaltyDetails();
                        } else {
                            return null;
                        }
                    }
                ]
            }
        });
    };

    homeRoutes.$inject = ['$stateProvider'];
    return homeRoutes;
});
