define([], function () {
    var kidsRoutes = function ($stateProvider) {
        $stateProvider.state('addKids', {
            url: '/user/kids',
            cache: false,
            templateUrl: 'views/kids/kids.html',
            controller: 'kidsController',
            resolve: {
                userResponse: ['userResolver',
                    function (userResolver) {
                        return userResolver.getCurrentUser();
                    }
                ]
            }
        }).state('kidsBenefits', {
            url: '/kids/benefits',
            cache: false,
            templateUrl: 'views/kids/benefits.html',
            controller: 'kidsBenefitsController'
        });
    };

    kidsRoutes.$inject = ['$stateProvider'];
    return kidsRoutes;
});
