define([], function() {
    var merchantRoutes = function($stateProvider) {
        $stateProvider
            .state('merchantList', {
                url: '/merchant/list',
                templateUrl: 'views/merchant/list.html',
                controller: 'merchantListController',
                resolve: {
                    merchantsFetcher: ['merchantResolver',
                        function(merchantResolver) {
                            return merchantResolver.getMerchantsFetcher();
                        }
                    ]
                }
            });
    };

    merchantRoutes.$inject = ['$stateProvider'];
    return merchantRoutes;
});