define([], function () {
    var onRun = function ($rootScope, $location, $window, config_constants, appsflyerEvents) {
        // Appsflyer. PageView tracking
        var events;
        $rootScope.$on('$stateChangeSuccess', function () {
            //   Event triggered based on the following conditions.
            var eventName = '';
            var eventValues = {};
            if ($window.plugins && $window.plugins.appsFlyer) {
                function pathValue(pathLocation) {
                    return pathLocation.path === $location.url();
                }

                events = appsflyerEvents.filter(pathValue);
                if (!_.isEmpty(events) && _.head(events).event_name) {
                    eventName = _.head(events).event_name;
                    $window.plugins.appsFlyer.trackEvent(eventName, eventValues);    // only track the event if there is an event/eventName
                }
            }
        });

    };

    onRun.$inject = ['$rootScope', '$location', '$window', 'config_constants', 'appsflyerEvents'];
    return onRun;
});

