define([], function() {
    var categoryService = function(restService) {
        this.getCategories = function(parent_id, page_size, page_number) {
            var apiUrl = '/category/';
            if (parent_id)
                apiUrl += parent_id + '/';
            apiUrl += page_size + '/' + page_number;
            return restService.get(apiUrl);
        };

        this.getCategoriesByIds = function(_ids, page_size, page_number) {
            var apiUrl = '/category/byids/' + _ids.join(',') + '/' + page_size + '/' + page_number;
            return restService.get(apiUrl);
        };

        this.getCategoryById = function(_id) {
            var apiUrl = '/category/' + _id;
            return restService.get(apiUrl);
        };
    };

    categoryService.$inject = ['restService'];
    return categoryService;
});