define([], function () {
    var headerTitleService = function ($state, i18nFilter) {
        this.getMenu = function () {
            var menu = [{
                title: i18nFilter('Merchants'),
                state: 'merchantList',
                icon: 'fal fa-building'
            }, {
                title: i18nFilter('Locations'),
                state: 'locationList',
                icon: 'fal fa-map-marker-alt'
            }, {
                title: i18nFilter('Categories'),
                state: 'categoryList',
                icon: 'fal fa-th-large'
            }];

            _.remove(menu, function (item) {
                return $state.is(item.state);
            });
            return menu;
        };
    };

    headerTitleService.$inject = ['$state', 'i18nFilter'];
    return headerTitleService;
});