define([], function () {
    var loyaltyService = function (restService) {
        this.getLoyaltyDetails = function () {
            var apiUrl = '/external/clique/user/details';
            return restService.get(apiUrl);
        };

        this.getLocationDetails = function (_id) {
            var apiUrl = '/external/clique/location/' + _id;
            return restService.get(apiUrl);
        };

        this.getTransactions = function () {
            var apiUrl = '/external/clique/user/transactions';
            return restService.get(apiUrl);
        };

        this.getArchivedTransactions = function () {
            var apiUrl = '/external/clique/user/archivedtransactions';
            return restService.get(apiUrl);
        };
    };

    loyaltyService.$inject = ['restService'];
    return loyaltyService;
});
