define([], function () {
    var orderService = function (restService) {
        this.getOrderById = function (_id) {
            var apiUrl = '/order/' + _id;
            return restService.get(apiUrl);
        };

        this.addOrder = function (order) {
            var apiUrl = '/external/clique/order';
            return restService.post(apiUrl, order);
        };

        this.getPromocodecampaign = function (code, merchant_id) {
            var apiUrl = '/promocodecampaign/' + code + '/' + merchant_id;
            return restService.get(apiUrl);
        };
    };

    orderService.$inject = ['restService'];
    return orderService;
});
