define([

    'app',

    'run/onRun.goreview',

    'services/reviewService',
    'services/reviewUtilService',

    'routes/reviewRoutes',

    'controllers/review/reviewController',
    'controllers/review/reviewUserController',
    'controllers/review/reviewLocationListController'

], function (
    app,

    onRunGoreview,

    reviewService,
    reviewUtilService,

    reviewRoutes,

    reviewController,
    reviewUserController,
    reviewLocationListController
) {
    app.config(reviewRoutes);

    app.service('reviewService', reviewService);
    app.service('reviewUtilService', reviewUtilService);

    app.controller('reviewController', reviewController);
    app.controller('reviewUserController', reviewUserController);
    app.controller('reviewLocationListController', reviewLocationListController);

    app.run(onRunGoreview);

});
