define([], function () {
    var framework = function ($ionicConfigProvider, $windowProvider) {

        $ionicConfigProvider.navBar.alignTitle('center');
        $ionicConfigProvider.backButton.previousTitleText(false).text('');
        $ionicConfigProvider.form.checkbox('circle'); // Makes the checkbox look the same in every platform
        $ionicConfigProvider.views.swipeBackEnabled(false); // Disabled due to this bug: https://github.com/ionic-team/ionic/issues/3216
        $ionicConfigProvider.views.maxCache(1); // Disable until refresh bug with caching


        var $window = $windowProvider.$get();
        if ($window.cordova && $window.Keyboard && $window.Keyboard.hideFormAccessoryBar) {
            Keyboard.hideFormAccessoryBar(false); // Shows the Done button in the select of iOS
        }
    };

    framework.$inject = ['$ionicConfigProvider', '$windowProvider'];
    return framework;
});
