define([], function () {
    var google = function ($windowProvider, $authProvider, config_constants) {
        var $window = $windowProvider.$get();
        $authProvider.google({
            clientId: config_constants.googleAppId,
            url: config_constants.baseAPIUrl + '/user/auth/google',
            redirectUri: $window.cordova ? 'http://localhost' : $window.location.origin,
            popupOptions: {
                location: 'no',
                toolbar: 'yes',
                width: $window.screen.width,
                height: $window.screen.height
            }
        });
    };

    google.$inject = ['$windowProvider', '$authProvider', 'config_constants'];
    return google;
});