define([], function () {
    var giftcardListController = function ($scope, giftcardResponse, giftcardService, response_enum, frameworkService) {
        $scope.giftcards = giftcardResponse.data;

        var giftcardIds = _.map(giftcardResponse.data, 'clique_id');
        giftcardService.getUserGiftcardsBalance(giftcardIds).then(function (response) {
            if (response.response_code === response_enum.CODE.SUCCESS) {
                _.forEach($scope.giftcards, function (giftcard) {
                    giftcard.balance = _.find(response.data, { clique_id: giftcard.clique_id }).giftcard_balance;
                });
            } else {
                frameworkService.showError(response.data);
            }
        });
    };

    giftcardListController.$inject = ['$scope', 'giftcardResponse', 'giftcardService', 'response_enum', 'frameworkService'];
    return giftcardListController;
});