define([], function () {
    var locationListGroupedByMerchantController = function ($scope, locationsResponse) {
        $scope.locations = locationsResponse ? locationsResponse.data : [];

        $scope.groups = _.groupBy($scope.locations, 'merchant._id');

        $scope.toggleGroup = function (key) {
            $scope.shownGroup = $scope.isGroupShown(key) ? null : key;
        };
        $scope.isGroupShown = function (key) {
            return $scope.shownGroup === key;
        };
    };

    locationListGroupedByMerchantController.$inject = ['$scope', 'locationsResponse'];
    return locationListGroupedByMerchantController;
});
