define([], function () {
    var reviewUserController = function ($scope, $rootScope, reviewUtilService, frameworkService, fencingService, utilityService) {
        $scope.review = reviewUtilService.getReview();

        $scope.review = _.extend($scope.review, {
            reviewer_country_name: fencingService.getCountryName(),
            reviewer_country_code: fencingService.getCountry(),
            reviewer_country_phone_code: utilityService.getCountryCode(fencingService.getCountry())
        });

        if ($rootScope.isLoggedIn) {
            var user = $rootScope.loggedInUser;
            if (user.email === 'noemail@recipient.com.au') user.email = null;

            $scope.review = _.extend($scope.review, {
                reviewer_name: user.first_name,
                reviewer_surname: user.last_name,
                reviewer_contact_number: user.mobile,
                reviewer_email: user.email
            });
        }

        $scope.next = function () {
            reviewUtilService.setReview($scope.review);
            frameworkService.navigateTo('goReviewRate');
        };
    };

    reviewUserController.$inject = ['$scope', '$rootScope', 'reviewUtilService', 'frameworkService', 'fencingService', 'utilityService'];
    return reviewUserController;
});
