define([], function () {
    var confirm = function (frameworkService, $parse) {
        return {
            restrict: 'A',
            link: function ($scope, $element, attrs) {
                var expressionHandler = $parse(attrs.callback);
                $element.on('click', function () {
                    if (!_.isEmpty(attrs.msg)) {
                        frameworkService.showConfirm('Confirm', attrs.msg, function () {
                            expressionHandler($scope);
                        });
                    } else {
                        expressionHandler($scope);
                    }
                });
            }
        };
    };

    confirm.$inject = ['frameworkService', '$parse'];
    return confirm;
});
