define([], function () {
    var enhancedCurrency = function (i18nFilter, currencyFilter, $locale) {
        var formats = $locale.NUMBER_FORMATS;
        return function (input, displayFree, symbol) {
            if (!input)
                return displayFree ? i18nFilter('FREE') : currencyFilter(0, symbol).split(formats.DECIMAL_SEP)[0];

            var value = currencyFilter(_.round(input / 100, 2), symbol); // TODO: For now, we only deal with fractionSize 2 currencies
            return value;
        };
    };

    enhancedCurrency.$inject = ['i18nFilter', 'currencyFilter', '$locale'];
    return enhancedCurrency;
});