define([], function () {
    var timeRange = function (moment) {
        return function (input, timezone) {
            if (!input) {
                return input;
            }

            var ans = moment.tz(input.start, timezone).format('DD/MM/YY h:mm A');
            if (input.start != input.end) {
                ans += ' - ' + moment.tz(input.end, timezone).format('h:mm A');
            }
            return ans;
        };
    };

    timeRange.$inject = ['moment'];
    return timeRange;
});
