define([], function () {
    var loyaltyResolver = function (utilityService, loyaltyService) {
        this.getLoyaltyDetails = function () {
            return utilityService.processResponse(loyaltyService.getLoyaltyDetails);
        };

        this.getTransactions = function () {
            return utilityService.processResponse(loyaltyService.getTransactions);
        };
    };

    loyaltyResolver.$inject = ['utilityService', 'loyaltyService'];
    return loyaltyResolver;
});