define([], function() {
    var userResolver = function(utilityService, userService) {
        this.getCurrentUser = function() {
            return utilityService.processResponse(userService.getLoggedInUser);
        };

        this.getActivitiesFetcher = function() {
            return utilityService.createFetcher(10, userService.getActivities);
        };
    };

    userResolver.$inject = ['utilityService', 'userService'];
    return userResolver;
});
