define([], function () {
    var reviewService = function (restService) {
        this.getStores = function () {
            var apiUrl = '/external/goreview/stores';
            return restService.get(apiUrl);
        };

        this.getFields = function (id) {
            var apiUrl = '/external/goreview/fields/' + id;
            return restService.get(apiUrl);
        };

        this.submitReview = function (data, id) {
            var apiUrl = '/external/goreview/review/' + id;
            return restService.post(apiUrl, data);
        };
    };

    reviewService.$inject = ['restService'];
    return reviewService;
});
