define([], function () {
    var settingsService = function (restService) {
        this.getFAQs = function () {
            var apiUrl = '/settings/faq/list';
            return restService.get(apiUrl);
        };

        this.getTerms = function () {
            var apiUrl = '/settings/terms';
            return restService.get(apiUrl);
        };

        this.getGiftCardTerms = function () {
            var apiUrl = '/settings/giftcard/terms';
            return restService.get(apiUrl);
        };

        this.getDisclaimers = function () {
            var apiUrl = '/settings/disclaimers';
            return restService.get(apiUrl);
        };

        this.getInstructions = function () {
            var apiUrl = '/settings/instructions';
            return restService.get(apiUrl);
        };
    };
    settingsService.$inject = ['restService'];
    return settingsService;
});
