define([], function () {
    var surveyService = function (keenService, restService) {
        this.getSurvey = function () {
            return restService.get('/user/survey');
        };

        this.saveSurvey = function (survey) {
            keenService.recordEvent('surveys', survey);
            return restService.post('/user/survey', survey);
        };
    };

    surveyService.$inject = ['keenService', 'restService'];
    return surveyService;
});