define([], function () {
    var vouchercodeService = function (fencingService, restService) {
        this.issueVouchercode = function (advert_id) {
            var url = '/vouchercode/issue/' + advert_id;
            return restService.get(url);
        };

        this.getVouchercodesByUser = function (status) {
            var url = '/vouchercode/byuser/' + fencingService.getCountry() + '/' + status;
            return restService.get(url);
        };

        this.getVouchercodeById = function (_id) {
            var url = '/vouchercode/detail/' + _id;
            return restService.get(url);
        };

        this.redeemVouchercode = function (_id) {
            var url = '/vouchercode/redeem/' + _id;
            return restService.get(url);
        };
    };

    vouchercodeService.$inject = ['fencingService', 'restService'];
    return vouchercodeService;
});